/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Portions created by Devexperts are Copyright (C) 2007-2012 Devexperts.
 */

package com.devexperts.evolution.utils.configencoder;

import java.beans.Expression;

/**
 * the point of this class is to get a reference to 'property' object
 *
 * @author Andrey Belomutskiy
 *         Mar 18, 2011
 */
public class MExpression extends Expression {
    protected Object property;

    public MExpression() {
        super(null, null, null);
    }

    public Object getProperty() {
        return property;
    }

    public void setProperty(Object property) {
        this.property = property;
    }
}
