/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Portions created by Devexperts are Copyright (C) 2007-2012 Devexperts.
 */

package com.devexperts.evolution.utils.configencoder;

/**
 * @author Anton V. Shakhmin
 */
public class NothingNameConverter implements NameConverter {

    public String mapClassName(String oldName) {
        return oldName;
    }

    public String demapClassName(String newName) {
        return newName;
    }

    public String mapMethodName(String className, String oldName) {
        return oldName;
    }

    public String demapMethodName(String className, String newName, Object target) {
        return newName;
    }
}
